package com.bwie.controller;

import com.alibaba.fastjson.JSONObject;
import com.bwie.common.domain.request.Userlogin;
import com.bwie.common.result.Result;
import com.bwie.service.AuthService;
import lombok.extern.log4j.Log4j2;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.web.bind.annotation.*;

import javax.servlet.http.HttpServletRequest;

/**
 * @Author: zhx
 * @Package: com.bwie.controller
 * @Datetime: 2023/12/18 16:10
 * @Filename: AuthController
 */
@RestController
@Log4j2
public class AuthController {

    @Autowired
    private AuthService authService;

    @Autowired
    private HttpServletRequest request;

    @GetMapping("/getCode/{phone}")
    public Result getCode(@PathVariable String phone){
        log.info("功能名称:获取登录验证码,请求URI:{},请求方式:{},请求参数:{}",
                request.getRequestURI(),request.getMethod(),phone);
        Result result = authService.getCode(phone);
        log.info("功能名称:获取登录验证码,请求URI:{},请求方式:{},响应结果:{}",
                request.getRequestURI(),request.getMethod(), JSONObject.toJSONString(result));
        return result;
    }

    @PostMapping("/login")
    public Result login(@RequestBody Userlogin userlogin){
        log.info("功能名称:xxx,请求URI:{},请求方式:{},请求参数:{}",
                request.getRequestURI(),request.getMethod(),userlogin);
        Result result = authService.login(userlogin);
        log.info("功能名称:xxx,请求URI:{},请求方式:{},响应结果:{}",
                request.getRequestURI(),request.getMethod(), JSONObject.toJSONString(result));
        return result;
    }

}
