package com.bwie.common.domain.request;

import com.bwie.common.result.PageResult;
import com.fasterxml.jackson.annotation.JsonFormat;
import lombok.Data;
import org.springframework.format.annotation.DateTimeFormat;

import java.util.Date;

/**
 * @Author: zhx
 * @Package: com.bwie.common.domain.request
 * @Datetime: 2023/12/18 19:08
 * @Filename: NoticeRequest
 */
@Data
public class NoticeRequest {




    /**
     * 模糊查询主题
     */
    private String title;

    /**
     * 精确查询作者
     */
    private String author;


    /**
     * 区间查询时间
     */
    @JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss")
    @DateTimeFormat(pattern = "yyyy-MM-dd HH:mm:ss")
    private Date startTime;
    @JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss")
    @DateTimeFormat(pattern = "yyyy-MM-dd HH:mm:ss")
    private Date endTime;
    /**
     * 分页
     */
    private Integer pageNum = 1;
    private Integer pageSize = 4;



}
