package com.bwie.controller;

import com.alibaba.fastjson.JSONObject;
import com.bwie.common.domain.Health;
import com.bwie.common.domain.Notice;
import com.bwie.common.domain.request.HealthRequest;
import com.bwie.common.domain.request.NoticeRequest;
import com.bwie.common.domain.request.PutHealth;
import com.bwie.common.result.PageResult;
import com.bwie.common.result.Result;
import com.bwie.service.HealthService;
import lombok.extern.log4j.Log4j2;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.web.bind.annotation.*;

import javax.servlet.http.HttpServletRequest;

/**
 * @Author: zhx
 * @Package: com.bwie.controller
 * @Datetime: 2023/12/18 17:28
 * @Filename: NoticeController
 */
@RestController
@Log4j2
public class HealthController {

    @Autowired
    private HealthService healthService;

    @Autowired
    private HttpServletRequest request;

    /**
     * 查询所有的卫生
     * @param healthRequest
     * @return
     */
    @GetMapping("/list")
    public PageResult<Health> list(@RequestBody HealthRequest healthRequest){

        log.info("功能名称:分页查询卫生列表,请求URI:{},请求方式:{},请求参数:{}",
                request.getRequestURI(),request.getMethod(),healthRequest);
        PageResult result = healthService.list(healthRequest);
        log.info("功能名称:分页查询卫生列表,请求URI:{},请求方式:{},响应结果:{}",
                request.getRequestURI(),request.getMethod(), JSONObject.toJSONString(result));
        return result;
    }

    @PutMapping()
    public Result updateHealth(@RequestBody PutHealth putHealth){

        log.info("功能名称:修改卫生信息,请求URI:{},请求方式:{},请求参数:{}",
                request.getRequestURI(),request.getMethod(),putHealth);
        Result result = healthService.updateHealth(putHealth);
        log.info("功能名称:修改卫生信息,请求URI:{},请求方式:{},响应结果:{}",
                request.getRequestURI(),request.getMethod(), JSONObject.toJSONString(result));
        return result;
    }






}
