package com.bwie.service.impl;

import com.bwie.common.domain.Aop;
import com.bwie.common.domain.Health;
import com.bwie.common.domain.request.HealthRequest;
import com.bwie.common.domain.request.PutHealth;
import com.bwie.common.result.PageResult;
import com.bwie.common.result.Result;
import com.bwie.mapper.HealthMapper;
import com.bwie.service.HealthService;
import com.github.pagehelper.PageHelper;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;

import java.util.List;

/**
 * @Author: zhx
 * @Package: com.bwie.service.impl
 * @Datetime: 2023/12/18 19:30
 * @Filename: NoticeServiceImpl
 */
@Service
public class HealthServiceImpl implements HealthService {

    @Autowired
    private HealthMapper healthMapper;
    @Override
    public PageResult list(HealthRequest healthRequest) {
        PageHelper.startPage(healthRequest.getPageNum(),healthRequest.getPageSize());

        List<Health> list = healthMapper.list(healthRequest);

        long total = list.stream().count();

        return PageResult.toPageResult(total,list);

    }

    @Override
    public Result updateHealth(PutHealth putHealth) {

        int upd = healthMapper.updateHealth(putHealth);

        if(upd>0){
            Aop aop = new Aop("卫生修改", 1);
            healthMapper.addAop(aop);
        }

        return Result.success(upd>0?"修改成功":"修改失败");
    }
}
