package com.bwie.controller;

import com.alibaba.fastjson.JSONObject;
import com.bwie.common.domain.Notice;
import com.bwie.common.domain.request.NoticeRequest;
import com.bwie.common.result.PageResult;
import com.bwie.service.NoticeService;
import lombok.extern.java.Log;
import lombok.extern.log4j.Log4j2;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.web.bind.annotation.GetMapping;
import org.springframework.web.bind.annotation.RequestBody;
import org.springframework.web.bind.annotation.RestController;

import javax.servlet.http.HttpServletRequest;

/**
 * @Author: zhx
 * @Package: com.bwie.controller
 * @Datetime: 2023/12/18 17:28
 * @Filename: NoticeController
 */
@RestController
@Log4j2
public class NoticeController {

    @Autowired
    private NoticeService noticeService;

    @Autowired
    private HttpServletRequest request;

    @GetMapping("/list")
    public PageResult<Notice> list(@RequestBody NoticeRequest noticeRequest){

        log.info("功能名称:分页查询公告列表,请求URI:{},请求方式:{},请求参数:{}",
                request.getRequestURI(),request.getMethod(),noticeRequest);
        PageResult result = noticeService.list(noticeRequest);
        log.info("功能名称:xxx,请求URI:{},请求方式:{},响应结果:{}",
                request.getRequestURI(),request.getMethod(), JSONObject.toJSONString(result));
        return result;
    }

}
