package com.bwie.service.impl;

import com.bwie.common.domain.Health;
import com.bwie.common.domain.Notice;
import com.bwie.common.domain.request.NoticeRequest;
import com.bwie.common.result.PageResult;
import com.bwie.mapper.NoticeMapper;
import com.bwie.service.NoticeService;
import com.github.pagehelper.PageHelper;
import com.github.pagehelper.PageInfo;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;

import java.util.List;

/**
 * @Author: zhx
 * @Package: com.bwie.service.impl
 * @Datetime: 2023/12/18 19:30
 * @Filename: NoticeServiceImpl
 */
@Service
public class NoticeServiceImpl implements NoticeService {

    @Autowired
    private NoticeMapper noticeMapper;


    @Override
    public PageResult list(NoticeRequest noticeRequest) {
        /*
        分页
         */
        PageHelper.startPage(noticeRequest.getPageNum(),noticeRequest.getPageSize());

        List<Health> list = noticeMapper.list(noticeRequest);

        long total = list.stream().count();

        return PageResult.toPageResult(total,list);
    }
}
