package com.bwie.controller;

import com.alibaba.fastjson.JSONObject;
import com.bwie.common.domain.Admin;
import com.bwie.common.result.Result;
import com.bwie.service.UserService;
import lombok.extern.log4j.Log4j2;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.web.bind.annotation.GetMapping;
import org.springframework.web.bind.annotation.RequestParam;
import org.springframework.web.bind.annotation.RestController;

import javax.servlet.http.HttpServletRequest;

/**
 * @Author: zhx
 * @Package: com.bwie.controller
 * @Datetime: 2023/12/18 16:20
 * @Filename: UserController
 */
@RestController
@Log4j2
public class UserController {

    @Autowired
    private UserService userService;

    @Autowired
    private HttpServletRequest request;

    @GetMapping("/findPhone")
    public Result<Admin> findPhone(@RequestParam String phone){

        log.info("功能名称:查询用户是否存在,请求URI:{},请求方式:{},请求参数:{}",
                request.getRequestURI(),request.getMethod(),phone);
        Admin admin = userService.findPhone(phone);
        Result<Admin> result = Result.success(admin);
        log.info("功能名称:查询用户是否存在,请求URI:{},请求方式:{},响应结果:{}",
                request.getRequestURI(),request.getMethod(), JSONObject.toJSONString(result));

        return result;
    }
}
